Page MenuHomePhabricator

Spike (2 hours): Decide on placement for QuickSurveys on Mobile
Closed, ResolvedPublic

Description

T107597 specifies that the QuickSurveys will appear below the Lead section on mobile. @JKatzWMF recently brought up that placement after the lead section will have an inherent bias, particularly with regards to questions about "why did you come here" since long lead sections would push that question down.

We'll still move forward with getting the project to the beta cluster & through security review, but this should be addressed.

Spike: 2hr
Sit down with Kaity and Anne and decide on the placement.
Code afterwards to implement changes
Document results of meeting on this task so it can be signed off.
Do a 0.2.1 release.

Event Timeline

atgo created this task.Aug 26 2015, 6:04 PM
atgo raised the priority of this task from to Needs Triage.
atgo updated the task description. (Show Details)
atgo added a project: QuickSurveys.
atgo added subscribers: atgo, JKatzWMF, Jhernandez.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2015, 6:04 PM
Jdlrobson triaged this task as Normal priority.Sep 2 2015, 8:04 PM
Jdlrobson added a subscriber: Jdlrobson.
atgo added a comment.Sep 11 2015, 5:59 PM

@Jdlrobson how about putting under first paragraph where possible? Even if it's below box/image, that'll be a bit more consistent/higher in the page than after the first section.

Jdlrobson updated the task description. (Show Details)Sep 12 2015, 12:09 AM
atgo added a comment.Sep 12 2015, 12:45 AM

Should we schedule some time next week?

Jdlrobson renamed this task from Decide on placement for QuickSurveys on Mobile to Spike: Decide on placement for QuickSurveys on Mobile.Sep 14 2015, 4:33 AM
KLans_WMF renamed this task from Spike: Decide on placement for QuickSurveys on Mobile to Spike (2 hours): Decide on placement for QuickSurveys on Mobile.Sep 14 2015, 4:14 PM
Jdlrobson updated the task description. (Show Details)Sep 14 2015, 4:15 PM
Jdlrobson moved this task from Needs Analysis to To Do on the Reading-Web-Sprint-56-Four Lions board.
Jdlrobson moved this task from To Do to Doing on the Reading-Web-Sprint-56-Four Lions board.

I have setup a meeting. Please respond to calendar invite!

atgo added a comment.Sep 23 2015, 9:11 PM

Alright - so placement for our first question should be after the lead paragraph on mobile. We want the question to be close to the top of the page so that the placement doesn't bias who we get answers from too much.

If it's trivial to add more options, we could also have after lead section and at end of article, but those are less important for the first survey.

Forgetting customisation for a minute let's just focus on the case where we want to show it in the first section.

  • What if there is no lead paragraph?
  • what if the section begins with an infobox? Do we show it after the infobox or after the first paragraph?
    • and how would this look on desktop where infoboxes are floated to the right?
  • same question for if the article begins with an image.

Currently we show them above infobox or first thumb. If neither are available we stick it at the bottom of the lead section and before the first heading.

There are a bunch of articles on beta labs prefixed with Quick Survey. It might be better to define desktop/,tablet and mobile behaviour for all of them which you consider wrong.

E.g.
http://en.m.wikipedia.beta.wmflabs.org/wiki/Quick_survey_test_page_with_infobox_with_image?quicksurvey=true

Changes needed:

  1. http://en.m.wikipedia.beta.wmflabs.org/wiki/Quick_survey_test_page_with_image_no_infobox

On desktop: survey appears floated to right above the image of the cat
On mobile: survey appears above the image of the cat

  1. When the screen resolution is less thn 768px a survey will always be inserted after the first paragraph if available. If not, it will follow the same existing logic
Jdlrobson closed this task as Resolved.Sep 25 2015, 4:54 PM

Captured in T113651